import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MLModelStructureNeuralNetworkLayer extends _NSObject {
    static alloc(): _MLModelStructureNeuralNetworkLayer;
    static new(): _MLModelStructureNeuralNetworkLayer;
    init(): _MLModelStructureNeuralNetworkLayer;
    /** The layer name. */
    name(): _NSString;
    /** The type of the layer, e,g, "elementwise", "pooling", etc. */
    type(): _NSString;
    /** The input names. */
    inputNames(): _NSArray;
    /** The output names. */
    outputNames(): _NSArray;
}
